<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\MessageModel;

class MessageModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(MessageModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(MessageModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(MessageModel::class);
    }
}
